A critical vulnerability has been identified in Adobe Download Manager for versions 1.6.2.60 and earlier.

Further info and fix : Adobe - Security Bulletins: APSB10-08 Security update available for Adobe Download Manager